ProductGroupFilterReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
    product_group_id:
      type: integer
      description: Идентификатор продуктовой группы
      example: 1
ProductGroupFilterFillableProperties:
  type: object
  properties:
    code:
      type: string
      description: Код
      example: 'color'
    value:
      type: string
      description: Значение
      example: 'red'
ProductGroupFilterRequiredProperties:
  type: object
  required:
    - code
    - value
ProductGroupFilter:
  allOf:
    - $ref: '#/ProductGroupFilterReadonlyProperties'
    - $ref: '#/ProductGroupFilterFillableProperties'
ProductGroupFilterForCreate:
  allOf:
    - $ref: '#/ProductGroupFilterFillableProperties'
    - $ref: '#/ProductGroupFilterRequiredProperties'
